%define upstream_name    Pegex
%define upstream_version 0.21

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Pegex Regex Atoms
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildArch:  noarch

%description
Pegex is a Acmeist parser framework. It allows you to easily create parsers
that will work equivalently in lots of programming languages!

Pegex gets it name by combining Parsing Expression Grammars (PEG), with
Regular Expessions (regex). That's actually what Pegex does.

PEG is the cool new way to elegantly specify recursive descent grammars.
The Perl 6 language is defined in terms of a self modifying PEG language
called *Perl 6 Rules*. Regular expressions are familiar to programmers of
most modern programming languages. Pegex defines a simple PEG syntax, where
all the terminals are regular expressions. This means that Pegex can be
quite fast and powerful.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.210.0-2.mga3
+ Revision: 371633
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 09 2012 shlomif <shlomif> 0.210.0-1.mga3
+ Revision: 316767
- update to 0.21

* Fri Aug 31 2012 kharec <kharec> 0.200.0-1.mga3
+ Revision: 286392
- update to 0.20

* Mon Jan 30 2012 shlomif <shlomif> 0.190.0-1.mga2
+ Revision: 203447
- Correct some typos reported by rpmlint
- imported package perl-Pegex

